/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

 /*global
    pageHandler, updateMemo, deleteMemo, checkHandler, newBookBtnHandler, newBookCheckHandler,
    bodyBlur, bodyFocus, subjectBlur, subjectFocus, openDB, initPage: false,
    current_page, before_page: true
 */

function initEventhandler() {
    var btnNewNote = document.querySelector('#new_note'),
        btnBookHeader = document.querySelector('#header_button'),
        btntitleBook = document.querySelector('#note_title'),
        btnNewBook = document.querySelector('#new_book'),
        btnNewBookCheck = document.querySelector('#btn_book_check'),
        btnCheck = document.querySelector('#note_check'),
        btnPicture = document.querySelector('#note_picture'),
        btn_memo_update = document.querySelector("#btn_memo_update"),
        btn_memo_delete = document.querySelector("#btn_memo_delete"),
        input_body = document.querySelector('#input_body'),
        input_subject = document.querySelector('#input_subject');

    btnNewNote.addEventListener('click', function() {
        pageHandler("note");
    });
    btnBookHeader.addEventListener('click', function() {
        pageHandler("book");
    });
    btntitleBook.addEventListener('click', function() {
        pageHandler("book");
    });
    btnPicture.addEventListener('click', function() {
        pageHandler("gallery");
    });
    btn_memo_update.addEventListener('click', updateMemo);
    btn_memo_delete.addEventListener('click', deleteMemo);
    btnCheck.addEventListener('click', checkHandler);
    btnNewBook.addEventListener('click', newBookBtnHandler);
    btnNewBookCheck.addEventListener('click', newBookCheckHandler);
    input_body.addEventListener('blur', bodyBlur);
    input_body.addEventListener('focus', bodyFocus);
    input_subject.addEventListener('blur', subjectBlur);
    input_subject.addEventListener('focus', subjectFocus);
}

var init = function() {
    document.addEventListener('tizenhwkey', function(e) {
        if (e.keyName === "back") {
            if(current_page === "main"){
                try {
                    tizen.application.getCurrentApplication().exit();
                } catch (error) {
                    console.error("getCurrentApplication(): " + error.message);
                }
            }
            else if(current_page === "note" || current_page === "page_memo"){
                pageHandler("main");
            }
            else if(current_page === "book"){
                pageHandler(before_page);
            }
            else if(before_page === "book" || current_page === "new_book"){
                pageHandler("book");
            }
            else if(before_page === "note" || current_page === "gallery"){
                pageHandler("note");
            }
        }
    });
    openDB();
    initEventhandler();
    initPage();
};

window.onload = init;